export const VizContainer = ({
  showMargins = false,
  color,
  width,
  height,
  margin,
  innerWidth,
  innerHeight,
  children,
}) => {
  
  const outerRect = (
    <rect width={width} height={height} fill="#black" />
  );

  const innerRect = (
    <rect
      width={innerWidth}
      height={innerHeight}
      fill="#eee"
    />
  );
  
  const innerCircle = (
   <circle fill={color} cx="50" cy="50" r="50" />

    );
  

  return (
    <svg width={width} height={height}>
      {showMargins ? outerRect : null}
      <g
        transform={`translate(${margin.left}, ${margin.top})`}
      >
        {showMargins ? innerRect : null}
        
        {innerCircle}
        {children}
      </g>
    </svg>
  );
};
